edu.sc.seis.sod.process.waveform

## Class PhaseCut

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.PhaseCut

- All Implemented Interfaces:
    WaveformProcess, SodElement, Subsetter

      public class PhaseCut
      extends java.lang.Object
      implements WaveformProcess

  Cuts seismograms relative to phases. Created: Wed Nov 6 17:58:10 2002

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhaseCut(org.w3c.dom.Element config)`
    `PhaseCut(PhaseRequest phaseRequest)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WaveformResult` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, CookieJar cookieJar)` Cuts the seismograms based on phase arrivals.
    `static edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[]` | `cut(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] cuts)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhaseCut

          public PhaseCut(org.w3c.dom.Element config)
                   throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### PhaseCut

          public PhaseCut(PhaseRequest phaseRequest)
                   throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### accept

          public WaveformResult accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                       edu.iris.Fissures.network.ChannelImpl channel,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available,
                                       edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                       CookieJar cookieJar)
                                throws java.lang.Exception

      Cuts the seismograms based on phase arrivals.
      Specified by:
        `accept` in interface `WaveformProcess`
      Throws:
        `java.lang.Exception`

    - #### cut

          public static edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] cut(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                                                                 edu.iris.Fissures.IfSeismogramDC.RequestFilter[] cuts)
                                                                          throws edu.iris.Fissures.FissuresException

      Throws:
        `edu.iris.Fissures.FissuresException`